%define name libgringotts
%define version 1.2.1
%define release 2mdk
%define major 2
%define libname %mklibname gringotts %major
%define summary Cryptographic library

Summary:     %summary
Name: 		%{name} 
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}-%{version}.tar.bz2
URL:		http://devel.pluto.linux.it/projects/Gringotts/
License:          GPL
Group: 		System/Libraries
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Provides:        libgringotts
Requires:	libmcrypt, libmhash2
BuildRequires: libmcrypt-devel
BuildRequires: libmhash2-devel
BuildRequires: zlib-devel
BuildRequires: libbzip2-devel
BuildRequires: libltdl-devel


%description
libGringotts is a thread-safe C library that allows the programmer
to save data in a particular file format. The data are compressed
and encrypted with a strong encryption algorythm, and saved to the
disk in a secure way. The library gives control over every algorythm
involved in the process, and provides additional security-related
utility functions.
It is very easy to use, and designed to be very light for the system.

%package -n %libname
Summary:     %summary
Group: 		System/Libraries

%description -n %libname
libGringotts is a thread-safe C library that allows the programmer
to save data in a particular file format. The data are compressed
and encrypted with a strong encryption algorythm, and saved to the
disk in a secure way. The library gives control over every algorythm
involved in the process, and provides additional security-related
utility functions.
It is very easy to use, and designed to be very light for the system.

%package -n %libname-devel 
Summary:	Headers and static libraries for gringotts-lib
Group:		Development/C
Requires:	%libname = %version-%release
Requires:       libmcrypt-devel
Requires:       libmhash2-devel
Requires:       zlib-devel
Requires:       libbzip2-devel
Requires:	libltdl-devel
Requires:	pkgconfig
Provides:       %name-devel  = %version-%release
 
%description  -n %libname-devel
These are the files needed to develop applications with libgringotts

%prep
%setup -q
%build

%configure2_5x  
%make
make check

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std 
rm -fr %buildroot/%_datadir/doc/%name-%version 

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname
/sbin/ldconfig
echo
echo -----------------------------------------------------
echo   md5sum of %{_libdir}/libgringotts.so.%major
echo
md5sum %{_libdir}/libgringotts.so.%major |(read A B; echo $A)
echo
echo use this value to check library integrity at any time
echo -----------------------------------------------------
echo

%post -n %libname-devel
echo
echo -----------------------------------------------------
echo   md5sum of %{_includedir}/libgringotts.h
echo
md5sum %{_includedir}/libgringotts.h|(read A B; echo $A)
echo
echo use this value to check library integrity at any time
echo -----------------------------------------------------
echo

%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-, root, root)
%{_libdir}/*.so.*
 
%files -n %libname-devel
%defattr(-,root,root)
%doc README ChangeLog AUTHORS TODO COPYING docs/manual.htm
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*

%changelog
* Thu Jul 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2.1-2mdk
- rebuild for new rpm

* Fri Apr 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2.1-1mdk
- remove the test app
- execute make check
- reenable parallel build
- new version

* Tue Apr 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-1mdk
- add the test app to the devel package, inc. post test script
- disable parallel build, it's broken at the moment
- make the devel package require pkgconfig
- new version

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.2-3mdk
- fix buildrequires and requires

* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.2-2mdk
- mklibname macro

* Mon Jan 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.2-1mdk
- new version

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.1.1-2mdk
- clean unpackaged files

* Mon Nov 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.1.1-1mdk
- new version

* Thu Oct 24 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.1.0-1mdk
- new version

* Tue Oct 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- new version

* Mon Oct 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-2mdk
- fix md5sum call in post script

* Mon Oct 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- fix a few rpmlint warnings
- move docs to the devel package
- buildrequires libbzip2-devel
- add requires for the devel packages to libgringotts2-devel
- rename to libgringotts (without the major version)
- use package from Charles A Edwards <eslrahc@bellsouth.net>

* Sat Oct 19 2002 Charles A Edwards <eslrahc@bellsouth.net>
- first Mandrake pkg
- Use autoconfig2.5
- remove OPT flags
- use marcos
   * Thu Oct 03 2002 Mano <mano@pluto.linux.it>
   - first gen. of this specfile
